=== tests/hellofork/Makefile ===
# This is the default target, which will be built when
# you invoke make
.PHONY: all
all: hellofork

hellofork: hellofork.c
	g++ -g -o hellofork hellofork.c

.PHONY: clean
clean:
	rm -f hellofork hellofork.o
