=== debian/changelog ===
seergdb (2.3+git20240117+ds-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:58:49 +1100

seergdb (2.3+git20240117+ds-1build1) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 02:03:27 +0000

seergdb (2.3+git20240117+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1017914)

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 Jan 2024 15:44:55 +0100
