=== debian/control ===
Source: seergdb
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 qt6-base-dev,
 libqt6charts6-dev,
 libqt6opengl6-dev,
 libqt6svg6-dev
Standards-Version: 4.6.2
Homepage: https://github.com/epasveer/seer
Vcs-Browser: https://salsa.debian.org/debian/seergdb
Vcs-Git: https://salsa.debian.org/debian/seergdb.git

Package: seergdb
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 gdb
Description: gui frontend to gdb
 This is a GUI for gdb.
