## seergdb 2.4+git20240321+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.0)
 
-project(seergdb VERSION 2.4.0 LANGUAGES CXX)
+project(seergdb VERSION 2.4 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -237,9 +237,9 @@
     )
 
 if(${QTVERSION} STREQUAL "QT6")
-    qt6_add_resources(SOURCE_FILES resource.qrc)
-elseif(${QTVERSION} STREQUAL "QT5")
-    qt5_add_resources(SOURCE_FILES resource.qrc)
+    qt6_add_resources(SOURCE_FILES resource.qrc resources/qdarkstyle/dark/darkstyle.qrc resources/qdarkstyle/light/lightstyle.qrc)
+elseif(${QTVERSION} STREQUAL "QT5")
+    qt5_add_resources(SOURCE_FILES resource.qrc resources/qdarkstyle/dark/darkstyle.qrc resources/qdarkstyle/light/lightstyle.qrc)
 endif()
 
 # Set non-Debug build as GUI application.
