=== debian/changelog ===
seergdb (2.4+git20240321+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Thu, 21 Mar 2024 09:29:06 +0100
