## seergdb 2.5+git20250220+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.1.0)
 
-project(seergdb VERSION 2.4 LANGUAGES CXX)
+project(seergdb VERSION 2.6.0 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -102,6 +102,8 @@
     SeerStackArgumentsBrowserWidget.h
     SeerStackFramesBrowserWidget.h
     SeerStackLocalsBrowserWidget.h
+    SeerStackDumpBrowserWidget.h
+    SeerStackDumpSettingsDialog.h
     SeerStackManagerWidget.h
     SeerThreadFramesBrowserWidget.h
     SeerThreadIdsBrowserWidget.h
@@ -127,10 +129,12 @@
     SeerProgressIndicator.h
     SeerMessagesDialog.h
     SeerAssemblyPreferenceDialog.h
+    SeerHistoryLineEdit.h
     QProcessInfo.h
     QProcessInfoWidget.h
     QProgressIndicator.h
     QColorButton.h
+    QColorSwatch.h
     QDetachTabWidget.h
     QZoomChartView.h
     QZoomChart.h
@@ -141,6 +145,7 @@
     QEditDelegate.h
     QHContainerWidget.h
     QImageViewer.h
+    QAnsiTextEdit.h
     )
 
 set(SOURCE_FILES
@@ -196,6 +201,8 @@
     SeerStackArgumentsBrowserWidget.cpp
     SeerStackFramesBrowserWidget.cpp
     SeerStackLocalsBrowserWidget.cpp
+    SeerStackDumpBrowserWidget.cpp
+    SeerStackDumpSettingsDialog.cpp
     SeerStackManagerWidget.cpp
     SeerThreadFramesBrowserWidget.cpp
     SeerThreadIdsBrowserWidget.cpp
@@ -221,10 +228,12 @@
     SeerProgressIndicator.cpp
     SeerMessagesDialog.cpp
     SeerAssemblyPreferenceDialog.cpp
+    SeerHistoryLineEdit.cpp
     QProcessInfo.cpp
     QProcessInfoWidget.cpp
     QProgressIndicator.cpp
     QColorButton.cpp
+    QColorSwatch.cpp
     QDetachTabWidget.cpp
     QZoomChartView.cpp
     QZoomChart.cpp
@@ -234,6 +243,7 @@
     QEditDelegate.cpp
     QHContainerWidget.cpp
     QImageViewer.cpp
+    QAnsiTextEdit.cpp
     )
 
 if(${QTVERSION} STREQUAL "QT6")
