=== tests/helloansicodes/Makefile ===
.PHONY: all
all: helloansicodes

helloansicodes: helloansicodes.c ANSI-color-codes.h
	g++ -g -o helloansicodes helloansicodes.c

.PHONY: clean
clean:
	rm -f helloansicodes helloansicodes.o
