=== tests/helloansicodes2/Makefile ===
.PHONY: all
all: helloansicodes2

helloansicodes2: helloansicodes2.c printfcolor.h
	g++ -g -o helloansicodes2 helloansicodes2.c

.PHONY: clean
clean:
	rm -f helloansicodes2 helloansicodes2.o
