=== tests/hellofibonacci/Makefile ===
.PHONY: all
all: hellofibonacci

hellofibonacci: hellofibonacci.cpp
	g++ -g -o hellofibonacci hellofibonacci.cpp

.PHONY: clean
clean:
	rm -f hellofibonacci hellofibonacci.o
