=== tests/helloforksegv/Makefile ===
.PHONY: all
all: helloforksegv

helloforksegv: helloforksegv.cpp
	g++ -g -o helloforksegv helloforksegv.cpp

.PHONY: clean
clean:
	rm -f helloforksegv helloforksegv.o
