=== tests/hellopp/Makefile ===
.PHONY: all
all: hellopp

hellopp: hellopp.cpp
	g++ -g -o hellopp hellopp.cpp

.PHONY: clean
clean:
	rm -f hellopp hellopp.o
