=== tests/hellopythonmi/Makefile ===
.PHONY: all
all: hellopythonmi

hellopythonmi: hellopythonmi.cpp
	g++ -g -o hellopythonmi hellopythonmi.cpp

.PHONY: clean
clean:
	rm -f hellopythonmi hellopythonmi.o
