=== tests/hellorrmnwe/Makefile ===
.PHONY: all
all: mnwe

mnwe: mnwe.cpp
	g++ -g -O0 -o mnwe mnwe.cpp

.PHONY: clean
clean:
	rm -f mnwe mnwe.o
