=== debian/changelog ===
seergdb (2.5+git20250220+ds-2) unstable; urgency=medium

  * d/rules: ignore minimal cmake version. (Closes: #1113494)

 -- Alex Myczko <tar@debian.org>  Mon, 29 Sep 2025 08:57:24 +0200

seergdb (2.5+git20250220+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Alex Myczko <tar@debian.org>  Thu, 20 Feb 2025 11:27:14 +0000

seergdb (2.4+git20240321+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 06:08:57 +0000
