=== tests/hellocore/Makefile ===
.PHONY: all
all: hellocore

hellocore: hellocore.cpp
	g++ -g -o hellocore hellocore.cpp function1.cpp

.PHONY: clean
clean:
	rm -f hellocore hellocore.o function1.o
