=== tests/helloglut/Makefile ===
all: 3dmaze

3dmaze: 3dmaze.c
	gcc -g -o 3dmaze 3dmaze.c -lglut -lGL -lGLU -lm

.PHONY: clean
clean:
	rm -f 3dmaze.o 3dmaze
