=== tests/hellounicode/Makefile ===
.PHONY: all
all: hellounicode

hellounicode: hellounicode.cpp
	g++ -g -o hellounicode hellounicode.cpp

.PHONY: clean
clean:
	rm -f hellounicode hellounicode.o
