## seergdb 2.6+git20251009+ds

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-cmake_minimum_required(VERSION 3.1.0)
-
-project(seergdb VERSION 2.6.0 LANGUAGES CXX)
+cmake_minimum_required(VERSION 3.5.0)
+
+project(seergdb VERSION 2.6 LANGUAGES CXX)
 
 set(PROJECT_NAME seergdb)
 
@@ -32,6 +32,7 @@
     find_package(Qt6 COMPONENTS REQUIRED PrintSupport)
     find_package(Qt6 COMPONENTS REQUIRED Charts)
     find_package(Qt6 COMPONENTS REQUIRED Svg)
+    find_package(Qt6 COMPONENTS REQUIRED OpenGL)
 
     set(CMAKE_CXX_STANDARD 17)
     set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -51,6 +52,23 @@
 
 set(HEADER_FILES
     GdbMonitor.h
+    QProcessInfo.h
+    QProcessInfoWidget.h
+    QProgressIndicator.h
+    QColorButton.h
+    QColorSwatch.h
+    QDetachTabWidget.h
+    QZoomChartView.h
+    QZoomChart.h
+    QClearLineEdit.h
+    QIndexTreeWidget.h
+    QStringPair.h
+    QHistoryLineEdit.h
+    QEditDelegate.h
+    QHContainerWidget.h
+    QImageViewer.h
+    QAnsiTextEdit.h
+    SeerUtl.h
     SeerArgumentsDialog.h
     SeerBreakpointCreateDialog.h
     SeerMessagesBrowserWidget.h
@@ -59,6 +77,7 @@
     SeerCatchpointsBrowserWidget.h
     SeerPrintpointCreateDialog.h
     SeerPrintpointsBrowserWidget.h
+    SeerCheckpointsBrowserWidget.h
     SeerSeerLogWidget.h
     SeerConsoleWidget.h
     SeerConfigDialog.h
@@ -81,9 +100,11 @@
     SeerHexWidget.h
     SeerAsmWidget.h
     SeerArrayWidget.h
+    SeerMarixWidget.h
     SeerLogWidget.h
     SeerMainWindow.h
     SeerArrayVisualizerWidget.h
+    SeerMatrixVisualizerWidget.h
     SeerMemoryVisualizerWidget.h
     SeerStructVisualizerWidget.h
     SeerVarVisualizerWidget.h
@@ -98,6 +119,8 @@
     SeerFunctionBrowserWidget.h
     SeerTypeBrowserWidget.h
     SeerStaticBrowserWidget.h
+    SeerSkipBrowserWidget.h
+    SeerSkipCreateDialog.h
     SeerSourceSymbolLibraryManagerWidget.h
     SeerStackArgumentsBrowserWidget.h
     SeerStackFramesBrowserWidget.h
@@ -113,7 +136,6 @@
     SeerThreadManagerWidget.h
     SeerGdbLogWidget.h
     SeerTildeLogWidget.h
-    SeerUtl.h
     SeerVariableLoggerBrowserWidget.h
     SeerVariableManagerWidget.h
     SeerVariableTrackerBrowserWidget.h
@@ -130,27 +152,26 @@
     SeerMessagesDialog.h
     SeerAssemblyPreferenceDialog.h
     SeerHistoryLineEdit.h
-    QProcessInfo.h
-    QProcessInfoWidget.h
-    QProgressIndicator.h
-    QColorButton.h
-    QColorSwatch.h
-    QDetachTabWidget.h
-    QZoomChartView.h
-    QZoomChart.h
-    QClearLineEdit.h
-    QIndexTreeWidget.h
-    QStringPair.h
-    QHistoryLineEdit.h
-    QEditDelegate.h
-    QHContainerWidget.h
-    QImageViewer.h
-    QAnsiTextEdit.h
     )
 
 set(SOURCE_FILES
-    seergdb.cpp
     GdbMonitor.cpp
+    QProcessInfo.cpp
+    QProcessInfoWidget.cpp
+    QProgressIndicator.cpp
+    QColorButton.cpp
+    QColorSwatch.cpp
+    QDetachTabWidget.cpp
+    QZoomChartView.cpp
+    QZoomChart.cpp
+    QClearLineEdit.cpp
+    QIndexTreeWidget.cpp
+    QHistoryLineEdit.cpp
+    QEditDelegate.cpp
+    QHContainerWidget.cpp
+    QImageViewer.cpp
+    QAnsiTextEdit.cpp
+    SeerUtl.cpp
     SeerArgumentsDialog.cpp
     SeerBreakpointCreateDialog.cpp
     SeerMessagesBrowserWidget.cpp
@@ -159,6 +180,7 @@
     SeerCatchpointsBrowserWidget.cpp
     SeerPrintpointCreateDialog.cpp
     SeerPrintpointsBrowserWidget.cpp
+    SeerCheckpointsBrowserWidget.cpp
     SeerSeerLogWidget.cpp
     SeerConsoleWidget.cpp
     SeerConfigDialog.cpp
@@ -180,9 +202,11 @@
     SeerHexWidget.cpp
     SeerAsmWidget.cpp
     SeerArrayWidget.cpp
+    SeerMatrixWidget.cpp
     SeerLogWidget.cpp
     SeerMainWindow.cpp
     SeerArrayVisualizerWidget.cpp
+    SeerMatrixVisualizerWidget.cpp
     SeerMemoryVisualizerWidget.cpp
     SeerStructVisualizerWidget.cpp
     SeerVarVisualizerWidget.cpp
@@ -197,6 +221,8 @@
     SeerFunctionBrowserWidget.cpp
     SeerTypeBrowserWidget.cpp
     SeerStaticBrowserWidget.cpp
+    SeerSkipBrowserWidget.cpp
+    SeerSkipCreateDialog.cpp
     SeerSourceSymbolLibraryManagerWidget.cpp
     SeerStackArgumentsBrowserWidget.cpp
     SeerStackFramesBrowserWidget.cpp
@@ -212,7 +238,6 @@
     SeerThreadManagerWidget.cpp
     SeerGdbLogWidget.cpp
     SeerTildeLogWidget.cpp
-    SeerUtl.cpp
     SeerVariableLoggerBrowserWidget.cpp
     SeerVariableManagerWidget.cpp
     SeerVariableTrackerBrowserWidget.cpp
@@ -229,21 +254,7 @@
     SeerMessagesDialog.cpp
     SeerAssemblyPreferenceDialog.cpp
     SeerHistoryLineEdit.cpp
-    QProcessInfo.cpp
-    QProcessInfoWidget.cpp
-    QProgressIndicator.cpp
-    QColorButton.cpp
-    QColorSwatch.cpp
-    QDetachTabWidget.cpp
-    QZoomChartView.cpp
-    QZoomChart.cpp
-    QClearLineEdit.cpp
-    QIndexTreeWidget.cpp
-    QHistoryLineEdit.cpp
-    QEditDelegate.cpp
-    QHContainerWidget.cpp
-    QImageViewer.cpp
-    QAnsiTextEdit.cpp
+    seergdb.cpp
     )
 
 if(${QTVERSION} STREQUAL "QT6")
@@ -266,14 +277,14 @@
     add_compile_options(-Wall -Wextra -Wunused-result -pedantic)   # -Werror -Wdeprecated-copy
 endif()
 
-add_definitions(-DQT_DEPRECATED_WARNINGS)
+add_definitions(-DQT_DISABLE_DEPRECATED_UP_TO=0x060300)
 
 add_executable(${PROJECT_NAME} ${SYSTEM_TYPE} ${SOURCE_FILES})
 
 install(TARGETS ${PROJECT_NAME} RUNTIME DESTINATION bin)
 
 if(${QTVERSION} STREQUAL "QT6")
-    target_link_libraries(${PROJECT_NAME} Qt6::Widgets Qt6::Gui Qt6::Core Qt6::PrintSupport Qt6::Charts Qt6::Svg)
+    target_link_libraries(${PROJECT_NAME} Qt6::Widgets Qt6::Gui Qt6::Core Qt6::PrintSupport Qt6::Charts Qt6::Svg Qt6::OpenGL)
 elseif(${QTVERSION} STREQUAL "QT5")
     target_link_libraries(${PROJECT_NAME} Qt5::Widgets Qt5::Gui Qt5::Core Qt5::PrintSupport Qt5::Charts)
 endif()
