=== tests/gdbmi_condition/Makefile ===
.PHONY: all
all: gdbmi_condition

gdbmi_condition: gdbmi_condition.cpp
	g++ -g -o gdbmi_condition gdbmi_condition.cpp

.PHONY: clean
clean:
	rm -f gdbmi_condition gdbmi_condition.o
