=== tests/helloarrayofstructs/Makefile ===
.PHONY: all
all: helloarrayofstructs

helloarrayofstructs: helloarrayofstructs.cpp
	g++ -g -o helloarrayofstructs helloarrayofstructs.cpp

.PHONY: clean
clean:
	rm -f helloarrayofstructs helloarrayofstructs.o
