=== tests/hellocurl/Makefile ===
.PHONY: all
all: hellocurl

hellocurl: hellocurl.cpp
	g++ -g -o hellocurl -lcurl hellocurl.cpp

.PHONY: clean
clean:
	rm -f hellocurl hellocurl.o
