=== tests/hellodebugbreak/Makefile ===
.PHONY: all
all: hellodebugbreak


hellodebugbreak: hellodebugbreak.c
	g++ -g -o hellodebugbreak hellodebugbreak.c


.PHONY: clean
clean:
	rm -f hellodebugbreak hellodebugbreak.o
