=== debian/changelog ===
seergdb (2.6+git20251009+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - update Files-Excluded.
    - bump years.

 -- Alex Myczko <tar@debian.org>  Thu, 09 Oct 2025 11:03:31 +0200
