=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: seergdb
 Section: devel
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,7 +10,7 @@
  libqt6charts6-dev,
  libqt6opengl6-dev,
  libqt6svg6-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/epasveer/seer
 Vcs-Browser: https://salsa.debian.org/debian/seergdb
 Vcs-Git: https://salsa.debian.org/debian/seergdb.git
