=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 
 %:
 	dh $@ --sourcedirectory=src
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+	-DCMAKE_POLICY_VERSION_MINIMUM=3.5
